
import math

def load(list):
    print "Loading AI bindings"

    # binding format:
    # ( 'name of robot from .bot file', 'name of AI from script class',
    #       {'optional constructor parameter':value, 'another':value} )

    # constructor parameters:
    # nose - "front" of bot in radians (default 0)
    # invertible - can function upside-down (default False)
    # topspeed - speed in meters/second AI will attempt not to exceed (default 4.0)
    # throttle - maximum analog value AI will attempt not to exceed (default 100)
    # turnspeed - turning in radians/second AI will attempt not to exceed (default 2.5)
    # turn - maximum analog value AI will attempt not to exceed (default 60)
    # radius - bot radius to use for checking for hazards and walls (default 1.0)

    # 0 - Storm
    list.append(("Cyclonic Winds","FBSInvertDir",{'spinspeed':100,'invertible':True,'direction':1,'radius':1.0,'topspeed':1000,'throttle':1000,'turn':190,'turnspeed':30,'weapons':(0,)}))
    list.append(("Ground Blizzard","Omni",{'nose':math.pi,'invertible':False,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("Thundercloud","Omni",{'nose':math.pi*2,'invertible':False,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':1.5,'weapons':(0,)}))
    list.append(("AW-Gust","Rammer",{'ThresholdSpeed':0.2,'SightRange':4,'invertible':True,'radius':0.5,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5}))
    list.append(("BW-Heavy Precipitation","Omni",{'nose':math.pi*2,'invertible':False,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'weapons':(12,13)}))
    list.append(("SHW-Storm from Jupiter","Omni",{'nose':math.pi,'invertible':False,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.0,'weapons':(0,)}))

    # 1 - Voltage
    list.append(("Jolt 2","Popup",{'nose':math.pi*2,'invertible':False,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'NoChassisTime':2,'RunUpsideDown':0,'weapons':(0,)}))
    list.append(("Overvoltage Strike","Popup",{'nose':math.pi*2,'invertible':False,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'NoChassisTime':2,'RunUpsideDown':0,'weapons':(0,)}))
    list.append(("Electrical Explosion","Popup",{'nose':math.pi*2,'invertible':False,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'NoChassisTime':2,'RunUpsideDown':0,'weapons':(0,)}))
    list.append(("AW-Exploding Fuse","Omni",{'nose':math.pi*2,'invertible':True,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'tactic':"Ram",'ThresholdSpeed':3,'SightRange':5,'BackUpTime':9999,'AimError':0,'weapons':(8,)}))
    list.append(("BW-Volts","Omni",{'nose':math.pi*2,'invertible':False,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("Lightning Strike","Popup",{'nose':math.pi*2,'invertible':False,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'NoChassisTime':2,'RunUpsideDown':0,'weapons':(0,)}))

    # 2- Hangar
    list.append(("Protostar 2.0","Omni",{'nose':math.pi*2,'invertible':False,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'weapons':(17,18,19,20,21,22)}))
    list.append(("VRI-6C","Popup",{'nose':math.pi*2,'invertible':False,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'NoChassisTime':2,'RunUpsideDown':0,'weapons':(32,33,34)}))
    list.append(("Mother Brain","Omni",{'nose':math.pi*2,'invertible':False,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'tactic':"Charge",'ThresholdSpeed':0.1,'SightRange':3,'BackUpTime':9999,'AimError':0,'weapons':(0,)}))
    list.append(("AW-ArrowTounge","Rammer",{'ThresholdSpeed':1.5,'SightRange':4,'invertible':True,'radius':0.5,'nose':math.pi,'topspeed':100,'throttle':100,'turn':100,'turnspeed':1}))
    list.append(("BW-SpaceBug","Rammer",{'ThresholdSpeed':1.0,'SightRange':4,'invertible':True,'radius':0.5,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5}))
    list.append(("SHW-Alien Empress","VertSpinner",{'nose':math.pi*2,'invertible':False,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'TrollDanceZone':1,'weapons':(0,),'sweapons':(0,)}))

    # 3 - Torture
    list.append(("Scavenger's Daughter","Omni",{'nose':math.pi*2,'invertible':True,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'tactic':"Charge",'ThresholdSpeed':0.1,'SightRange':3,'BackUpTime':9999,'AimError':0,'weapons':(0,)}))
    list.append(("Sensory Deprivation","Popup",{'nose':math.pi*2,'invertible':False,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'NoChassisTime':2,'RunUpsideDown':0,'weapons':(0,)}))
    list.append(("Iron Maiden 2","Omni",{'nose':math.pi*2,'invertible':False,'range':50,'radius':1.5,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'tactic':"Charge",'ThresholdSpeed':0.1,'SightRange':3,'BackUpTime':9999,'AimError':0,'weapons':(0,)}))
    list.append(("AW-Pain Threshold","Omni",{'nose':math.pi*2,'invertible':True,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'tactic':"Charge",'ThresholdSpeed':0.1,'SightRange':3,'BackUpTime':9999,'AimError':0,'weapons':(0,)}))
    list.append(("BW-Whip","FBS_2",{'nose':math.pi*2.5,'invertible':True,'range':200,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'fbs_range':3,'PreSpinEntrance':0,'clockwise':0,'chase_time':60,'Pulse':0,'SRcycle':16,'weapons':(0,)}))
    list.append(("Wall of Thorns 2","Rammer",{'ThresholdSpeed':1.5,'SightRange':4,'invertible':True,'radius':0.5,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5}))

    # 4 - Forrest
    list.append(("Bear Hug 6","Omni",{'nose':math.pi*2,'invertible':True,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("Panther","Omni",{'nose':math.pi,'invertible':True,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("Exposed to Radiation","Omni",{'nose':math.pi*2,'invertible':False,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'tactic':"Charge",'ThresholdSpeed':0.1,'SightRange':3,'BackUpTime':9999,'AimError':0,'weapons':(0,)}))
    list.append(("AW-Porcupine","Omni",{'nose':math.pi,'invertible':True,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'tactic':"Ram",'ThresholdSpeed':3,'SightRange':5,'BackUpTime':9999,'AimError':0,'weapons':(0,)}))
    list.append(("BW-Snake Bite","Poker",{'invertible':True,'nose':math.pi*2,'radius':0.1,'topspeed':99,'throttle':130,'weapons':(0,)}))
    list.append(("Crocodile","EcoOmni",{'nose':math.pi,'invertible':False,'range':99,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'UseSpinZone':1,'StartSpinup':0.3,'Pulse':0,'PulseRange':0,'weapons':(0,)}))
   
    # 5 - Overkill
    list.append(("Spike Spam 2","Omni",{'nose':math.pi*2,'invertible':True,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'tactic':"Charge",'ThresholdSpeed':0.1,'SightRange':3,'BackUpTime':9999,'AimError':0,'weapons':(0,)}))
    list.append(("MaceFace 2","Omni",{'nose':math.pi*2,'invertible':True,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'tactic':"Charge",'ThresholdSpeed':0.1,'SightRange':3,'BackUpTime':9999,'AimError':0,'weapons':(0,)}))
    list.append(("Razor Storm","Omni",{'nose':math.pi,'invertible':False,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':1.5,'weapons':(0,)}))
    list.append(("AW-Unpredictable","PillarPlus",{'invertible':True,'range2':20,'radius':0.5,'throttle':130,'weapons':(0,)}))
    list.append(("BW-Extreme Measures","FBSInvertDir",{'spinspeed':30,'invertible':True,'direction':1,'radius':1.0,'topspeed':1000,'throttle':1000,'turn':190,'turnspeed':30,'weapons':(0,)}))
    list.append(("SHW-Slight Overkill","Popup",{'nose':math.pi*2,'invertible':False,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'NoChassisTime':2,'RunUpsideDown':0,'weapons':(0,)}))

    # 6 - Diggers
    list.append(("Rock Grinder","Omni",{'nose':math.pi*2,'invertible':False,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'tactic':"Charge",'ThresholdSpeed':0.1,'SightRange':3,'BackUpTime':9999,'AimError':0,'weapons':(0,)}))
    list.append(("Boulder Crusher","Omni",{'nose':math.pi*2,'invertible':False,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.3,'tactic':"Charge",'ThresholdSpeed':0.1,'SightRange':3,'BackUpTime':9999,'AimError':0,'weapons':(0,)}))
    list.append(("Mining Unit 464","Omni",{'nose':math.pi*2,'invertible':False,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'tactic':"Charge",'ThresholdSpeed':0.1,'SightRange':3,'BackUpTime':9999,'AimError':0,'weapons':(0,)}))
    list.append(("AW-Chisel","Rammer",{'ThresholdSpeed':0.3,'SightRange':4,'invertible':True,'radius':0.5,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5}))
    list.append(("BW-Driller","Omni",{'nose':math.pi*2,'invertible':True,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'tactic':"Charge",'ThresholdSpeed':0.1,'SightRange':3,'BackUpTime':9999,'AimError':0,'weapons':(0,)}))
    list.append(("SHW-Mega Drill","Omni",{'nose':math.pi*2,'invertible':True,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'tactic':"Charge",'ThresholdSpeed':0.1,'SightRange':3,'BackUpTime':9999,'AimError':0,'weapons':(0,)}))

    # 7 - Insects
    list.append(("Robber Fly","Omni",{'nose':math.pi*2,'invertible':True,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':0.5,'tactic':"Ram",'ThresholdSpeed':3,'SightRange':5,'BackUpTime':9999,'AimError':0,'weapons':(0,)}))
    list.append(("Angry Swarm","Omni",{'nose':math.pi*2,'invertible':False,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("Genetic Hybrid","Omni",{'nose':math.pi*2,'invertible':False,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'tactic':"Charge",'ThresholdSpeed':0.1,'SightRange':3,'BackUpTime':9999,'AimError':0,'weapons':(0,)}))
    list.append(("AW-Bedbug","Omni",{'nose':math.pi,'invertible':True,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'tactic':"Ram",'ThresholdSpeed':3,'SightRange':5,'BackUpTime':9999,'AimError':0,'weapons':(0,)}))
    list.append(("BW-The Dizzy Beetle 13","PillarPlus",{'invertible':True,'range2':20,'radius':0.5,'throttle':130,'weapons':(0,)}))
    list.append(("Mandibles","Omni",{'nose':math.pi*2,'invertible':False,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'weapons':(0,)}))

    # 8 - Thinking
    list.append(("Psychic","Omni",{'nose':math.pi*2,'invertible':True,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("Hypnotism","EcoOmni",{'nose':math.pi*2,'invertible':True,'range':99,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'UseSpinZone':1,'StartSpinup':0.5,'Pulse':0,'PulseRange':0,'weapons':(0,)}))
    list.append(("Subconscious Demands","Popup",{'nose':math.pi*2,'invertible':False,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'NoChassisTime':2,'RunUpsideDown':0,'weapons':(0,)}))
    list.append(("AW-On the Flip Side","Rammer",{'ThresholdSpeed':0.1,'SightRange':4,'invertible':True,'radius':0.5,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5}))
    list.append(("BW-Illusion","Rammer",{'ThresholdSpeed':0.2,'SightRange':4,'invertible':True,'radius':0.5,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5}))
    list.append(("CW-Thought Police","Omni",{'nose':math.pi*2,'invertible':False,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'weapons':(0,)}))

    # 9 - Surgery
    list.append(("Robotic Scalpel","Popup",{'nose':math.pi*2,'invertible':False,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'NoChassisTime':2,'RunUpsideDown':0,'weapons':(0,)}))
    list.append(("Plaster Saw","Omni",{'nose':math.pi*2,'invertible':False,'range':50,'radius':1,'topspeed':92,'throttle':100,'turn':100,'turnspeed':2.5,'tactic':"Charge",'ThresholdSpeed':0.1,'SightRange':3,'BackUpTime':9999,'AimError':0,'weapons':(0,)}))
    list.append(("Razor's Edge","Popup",{'nose':math.pi*2,'invertible':False,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'NoChassisTime':2,'RunUpsideDown':0,'weapons':(0,)}))
    list.append(("AW-Experimental Device","Omni",{'nose':math.pi*2,'invertible':True,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("BW-Injection","Omni",{'nose':math.pi*2,'invertible':True,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'tactic':"Ram",'ThresholdSpeed':3,'SightRange':5,'BackUpTime':9999,'AimError':0,'weapons':(0,)}))
    list.append(("Guillotine","Omni",{'nose':math.pi*2,'invertible':False,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'weapons':(0,)}))

    # 10 - Terrible
    list.append(("Quick to Anger","Omni",{'nose':math.pi*2,'invertible':True,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'tactic':"Charge",'ThresholdSpeed':0.1,'SightRange':3,'BackUpTime':9999,'AimError':0,'weapons':(0,)}))
    list.append(("Next-Level Hypocrisy","Omni",{'nose':math.pi*2,'invertible':False,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'tactic':"Charge",'ThresholdSpeed':0.1,'SightRange':3,'BackUpTime':9999,'AimError':0,'weapons':(0,)}))
    list.append(("Unwelcome Guest","Omni",{'nose':math.pi*2,'invertible':False,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("AW-Foolishness","Omni",{'nose':math.pi,'invertible':True,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'tactic':"Charge",'ThresholdSpeed':0.1,'SightRange':3,'BackUpTime':9999,'AimError':0,'weapons':(0,)}))
    list.append(("BW-Why Not?","Omni",{'nose':math.pi*1.5,'invertible':True,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("Dirty Cheater","Omni",{'nose':math.pi*2,'invertible':True,'range':50,'radius':1,'topspeed':92,'throttle':100,'turn':100,'turnspeed':2.5,'tactic':"Charge",'ThresholdSpeed':0.1,'SightRange':3,'BackUpTime':9999,'AimError':0,'weapons':(0,)}))

    # 11 - Trapped
    list.append(("Memories","Omni",{'nose':math.pi*2,'invertible':True,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'tactic':"Ram",'ThresholdSpeed':3,'SightRange':5,'BackUpTime':9999,'AimError':0,'weapons':(0,)}))
    list.append(("Jaws of Death","Rammer",{'ThresholdSpeed':0.4,'SightRange':4,'invertible':True,'radius':0.5,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5}))
    list.append(("Tricked Freedom","Omni",{'nose':math.pi*2,'invertible':False,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'tactic':"Charge",'ThresholdSpeed':0.1,'SightRange':3,'BackUpTime':9999,'AimError':0,'weapons':(0,)}))
    list.append(("AW-Cub Hug","Omni",{'nose':math.pi*2,'invertible':True,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'tactic':"Ram",'ThresholdSpeed':3,'SightRange':5,'BackUpTime':9999,'AimError':0,'weapons':(0,)}))
    list.append(("BW-In the Arms of the Demon","Omni",{'nose':math.pi*2,'invertible':True,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("SHW-Industrial Bear Trap","Popup",{'nose':math.pi*2,'invertible':True,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'NoChassisTime':1.2,'RunUpsideDown':0,'weapons':(0,)}))

    # 12 - insane
    list.append(("Caffine Overdose","FBSInvertDir",{'invertible':True,'nose':math.pi*1.5,'direction':1,'spinspeed':25,'topspeed':99,'throttle':130,'turnspeed':2.5,'turn':60,'radius':0.6,'weapons':(3,)}))
    list.append(("Power Hungry","Omni",{'nose':math.pi*2,'invertible':True,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("Public Enemy #1","Omni",{'nose':math.pi*2,'invertible':False,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("AW-Subtle rAGE","Omni",{'nose':math.pi*2,'invertible':True,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'tactic':"Ram",'ThresholdSpeed':0.2,'SightRange':5,'BackUpTime':9999,'AimError':0,'weapons':(0,)}))
    list.append(("BW-Malpractitioner","Omni",{'nose':math.pi*2,'invertible':True,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'tactic':"Charge",'ThresholdSpeed':0.1,'SightRange':3,'BackUpTime':9999,'AimError':0,'weapons':(0,)}))
    list.append(("UHW-Total Overkill","Omni",{'nose':math.pi*2,'invertible':False,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'weapons':(0,)}))

    # 13 - Outcasts
    list.append(("Abomination 2","Omni",{'nose':math.pi*2,'invertible':True,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("Misfit","Omni",{'nose':math.pi*2,'invertible':True,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("Great Unknown","Omni",{'nose':math.pi*2,'invertible':True,'range':50,'radius':1.5,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("AW-Spindle of Pain","Omni",{'nose':math.pi,'invertible':True,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'tactic':"Charge",'ThresholdSpeed':0.1,'SightRange':3,'BackUpTime':9999,'AimError':0,'weapons':(0,)}))
    list.append(("BW-Flop","Flipper2",{'nose':math.pi*2,'invertible':False,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'UseSrimech':0,'EnemyMoveRadius':1,'EnemyMoveTime':3,'PrioritizeFlipper':0,'NoChassisTime':1,'SrimechInterval':1,'weapons':(0,)}))
    list.append(("BANNED","Popup",{'nose':math.pi,'invertible':True,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':1.5,'NoChassisTime':2,'RunUpsideDown':1,'weapons':(0,)}))

    # 14 - Updug
    list.append(("Destruction Tool","Omni",{'nose':math.pi*2,'invertible':False,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("Voltage Strike","Popup",{'nose':math.pi*2,'invertible':False,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'NoChassisTime':2,'RunUpsideDown':0,'weapons':(0,)}))
    list.append(("Nomer","Rammer",{'ThresholdSpeed':2.0,'SightRange':4,'invertible':True,'radius':0.5,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5}))
    list.append(("AW-Fireball","Rammer",{'ThresholdSpeed':0.2,'SightRange':4,'invertible':True,'radius':0.5,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5}))
    list.append(("BW-The Dizzy Beetle 3","FBSInvertDir",{'spinspeed':30,'invertible':False,'direction':1,'radius':1.0,'topspeed':1000,'throttle':1000,'turn':190,'turnspeed':30,'weapons':(0,)}))
    list.append(("Thunderbolt","Omni",{'nose':math.pi,'invertible':False,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':1.5,'weapons':(0,)})) 
    
	# 15 - spooky scary skeletons
    list.append(("Programming Error","Omni",{'nose':math.pi*2,'invertible':True,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'tactic':"Charge",'ThresholdSpeed':0.1,'SightRange':3,'BackUpTime':9999,'AimError':0,'weapons':(0,)}))
    list.append(("Virus II","Omni",{'nose':math.pi*2,'invertible':True,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'tactic':"Charge",'ThresholdSpeed':0.1,'SightRange':3,'BackUpTime':9999,'AimError':0,'weapons':(0,)}))
    list.append(("Abort, Retry, Fail?!","Omni",{'nose':math.pi*2,'invertible':False,'range':50,'radius':1.5,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'tactic':"Charge",'ThresholdSpeed':0.1,'SightRange':3,'BackUpTime':9999,'AimError':0,'weapons':(0,)}))
    list.append(("AW-Slight Bug","Omni",{'nose':math.pi*2,'invertible':True,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'tactic':"Ram",'ThresholdSpeed':3,'SightRange':5,'BackUpTime':9999,'AimError':0,'weapons':(0,)}))
    list.append(("BW-Not Responding","Omni",{'nose':math.pi*2,'invertible':True,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("SHW-FATAL_ERROR","Omni",{'nose':math.pi*2,'invertible':False,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'tactic':"Charge",'ThresholdSpeed':0.1,'SightRange':3,'BackUpTime':9999,'AimError':0,'weapons':(0,)}))